Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Library for multiple-precision floating-point computations 
Name:		mpfr
Version:	2.4.2
Release:	1
License:	GNU/LGPL
URL:		http://www.mpfr.org	
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre): /sbin/install-info
BuildRequires:	gmp-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gmp-devel

%description
The MPFR library is a C library for multiple-precision floating-point computations with exact rounding (also called correct rounding).


%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi 
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
export CFLAGS='-O2 -march=i686 -pipe -fomit-frame-pointer'
export CXXFLAGS=$CFLAGS
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--infodir=%_infodir \
		--localstatedir=/var/state/mpfri \
		--enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_libdir}/libmpfr.so.*
%{_infodir}/mpfr.info.gz


%files devel
%defattr(-,root,root)
%{_includedir}/mpf2mpfr.h
%{_includedir}/mpfr.h
%{_libdir}/libmpfr.a
%{_libdir}/libmpfr.la
%{_libdir}/libmpfr.so
%{_docdir}/mpfr/AUTHORS
%{_docdir}/mpfr/BUGS
%{_docdir}/mpfr/COPYING
%{_docdir}/mpfr/COPYING.LIB
%{_docdir}/mpfr/examples/divworst.c
%{_docdir}/mpfr/examples/ReadMe
%{_docdir}/mpfr/examples/rndo-add.c
%{_docdir}/mpfr/examples/sample.c
%{_docdir}/mpfr/FAQ.html
%{_docdir}/mpfr/NEWS
%{_docdir}/mpfr/TODO


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.2-1
- Version update
* Wed Aug 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Sun Jun 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- Version update
- glibc 2.8
* Tue Jan 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-1
- Version update
- glibc 2.5
* Thu Jul 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-1
- Initial Release
